=== debian/control ===
Source: ros-dashing-nav2-motion-primitives
Section: misc
Priority: extra
Maintainer: Carlos Orduno <carlos.a.orduno@intel.com>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-ament-cmake-gtest, ros-dashing-ament-cmake-pytest, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-geometry-msgs, ros-dashing-launch, ros-dashing-launch-testing, ros-dashing-nav-msgs, ros-dashing-nav2-behavior-tree, ros-dashing-nav2-common, ros-dashing-nav2-costmap-2d, ros-dashing-nav2-msgs, ros-dashing-nav2-robot, ros-dashing-nav2-util, ros-dashing-rclcpp, ros-dashing-rclcpp-action, ros-dashing-rclcpp-lifecycle, ros-dashing-tf2, ros-dashing-tf2-geometry-msgs, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-nav2-motion-primitives
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-geometry-msgs, ros-dashing-nav-msgs, ros-dashing-nav2-behavior-tree, ros-dashing-nav2-costmap-2d, ros-dashing-nav2-msgs, ros-dashing-nav2-util, ros-dashing-rclcpp, ros-dashing-rclcpp-action, ros-dashing-rclcpp-lifecycle, ros-dashing-ros-workspace
Description: TODO
